IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network224.62.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
- Network address
224.62.0.0- Broadcast address
224.63.255.255- First usable
224.62.0.1- Last usable
224.63.255.254- Usable hosts
- 131,070 (131,072 less the network and broadcast addresses)
- Subnet mask
255.254.0.0- Wildcard mask
0.1.255.255(Cisco ACLs, OSPF)- Prefix length
- /15
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
E03E0000· Integer3762159616to3762290687 - Reverse DNS zones
62.224.in-addr.arpa63.224.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11100000.00111110.00000000.00000000 | 224.62.0.0 |
| Subnet mask | 11111111.11111110.00000000.00000000 | 255.254.0.0 |
| Network | 11100000.00111110.00000000.00000000 | 224.62.0.0 |
| Broadcast | 11100000.00111111.11111111.11111111 | 224.63.255.255 |
Split into smaller subnets
/16 (2)/17 (4)/18 (8)/19 (16)/20 (32)/21 (64)/22 (128)/23 (256)/24 (512)/25 (1,024)/26 (2,048)/27 (4,096)
224.62.0.0/15 makes 256 subnets of /23.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 224.62.0.0/23 | 224.62.0.1 to 224.62.1.254 | 224.62.1.255 | 510 |
| 2 | 224.62.2.0/23 | 224.62.2.1 to 224.62.3.254 | 224.62.3.255 | 510 |
| 3 | 224.62.4.0/23 | 224.62.4.1 to 224.62.5.254 | 224.62.5.255 | 510 |
| 4 | 224.62.6.0/23 | 224.62.6.1 to 224.62.7.254 | 224.62.7.255 | 510 |
| 5 | 224.62.8.0/23 | 224.62.8.1 to 224.62.9.254 | 224.62.9.255 | 510 |
| 6 | 224.62.10.0/23 | 224.62.10.1 to 224.62.11.254 | 224.62.11.255 | 510 |
| 7 | 224.62.12.0/23 | 224.62.12.1 to 224.62.13.254 | 224.62.13.255 | 510 |
| 8 | 224.62.14.0/23 | 224.62.14.1 to 224.62.15.254 | 224.62.15.255 | 510 |
| 9 | 224.62.16.0/23 | 224.62.16.1 to 224.62.17.254 | 224.62.17.255 | 510 |
| 10 | 224.62.18.0/23 | 224.62.18.1 to 224.62.19.254 | 224.62.19.255 | 510 |
| 11 | 224.62.20.0/23 | 224.62.20.1 to 224.62.21.254 | 224.62.21.255 | 510 |
| 12 | 224.62.22.0/23 | 224.62.22.1 to 224.62.23.254 | 224.62.23.255 | 510 |
| 13 | 224.62.24.0/23 | 224.62.24.1 to 224.62.25.254 | 224.62.25.255 | 510 |
| 14 | 224.62.26.0/23 | 224.62.26.1 to 224.62.27.254 | 224.62.27.255 | 510 |
| 15 | 224.62.28.0/23 | 224.62.28.1 to 224.62.29.254 | 224.62.29.255 | 510 |
| 16 | 224.62.30.0/23 | 224.62.30.1 to 224.62.31.254 | 224.62.31.255 | 510 |
| 17 | 224.62.32.0/23 | 224.62.32.1 to 224.62.33.254 | 224.62.33.255 | 510 |
| 18 | 224.62.34.0/23 | 224.62.34.1 to 224.62.35.254 | 224.62.35.255 | 510 |
| 19 | 224.62.36.0/23 | 224.62.36.1 to 224.62.37.254 | 224.62.37.255 | 510 |
| 20 | 224.62.38.0/23 | 224.62.38.1 to 224.62.39.254 | 224.62.39.255 | 510 |
| 21 | 224.62.40.0/23 | 224.62.40.1 to 224.62.41.254 | 224.62.41.255 | 510 |
| 22 | 224.62.42.0/23 | 224.62.42.1 to 224.62.43.254 | 224.62.43.255 | 510 |
| 23 | 224.62.44.0/23 | 224.62.44.1 to 224.62.45.254 | 224.62.45.255 | 510 |
| 24 | 224.62.46.0/23 | 224.62.46.1 to 224.62.47.254 | 224.62.47.255 | 510 |
| 25 | 224.62.48.0/23 | 224.62.48.1 to 224.62.49.254 | 224.62.49.255 | 510 |
| 26 | 224.62.50.0/23 | 224.62.50.1 to 224.62.51.254 | 224.62.51.255 | 510 |
| 27 | 224.62.52.0/23 | 224.62.52.1 to 224.62.53.254 | 224.62.53.255 | 510 |
| 28 | 224.62.54.0/23 | 224.62.54.1 to 224.62.55.254 | 224.62.55.255 | 510 |
| 29 | 224.62.56.0/23 | 224.62.56.1 to 224.62.57.254 | 224.62.57.255 | 510 |
| 30 | 224.62.58.0/23 | 224.62.58.1 to 224.62.59.254 | 224.62.59.255 | 510 |
| 31 | 224.62.60.0/23 | 224.62.60.1 to 224.62.61.254 | 224.62.61.255 | 510 |
| 32 | 224.62.62.0/23 | 224.62.62.1 to 224.62.63.254 | 224.62.63.255 | 510 |
| 33 | 224.62.64.0/23 | 224.62.64.1 to 224.62.65.254 | 224.62.65.255 | 510 |
| 34 | 224.62.66.0/23 | 224.62.66.1 to 224.62.67.254 | 224.62.67.255 | 510 |
| 35 | 224.62.68.0/23 | 224.62.68.1 to 224.62.69.254 | 224.62.69.255 | 510 |
| 36 | 224.62.70.0/23 | 224.62.70.1 to 224.62.71.254 | 224.62.71.255 | 510 |
| 37 | 224.62.72.0/23 | 224.62.72.1 to 224.62.73.254 | 224.62.73.255 | 510 |
| 38 | 224.62.74.0/23 | 224.62.74.1 to 224.62.75.254 | 224.62.75.255 | 510 |
| 39 | 224.62.76.0/23 | 224.62.76.1 to 224.62.77.254 | 224.62.77.255 | 510 |
| 40 | 224.62.78.0/23 | 224.62.78.1 to 224.62.79.254 | 224.62.79.255 | 510 |
| 41 | 224.62.80.0/23 | 224.62.80.1 to 224.62.81.254 | 224.62.81.255 | 510 |
| 42 | 224.62.82.0/23 | 224.62.82.1 to 224.62.83.254 | 224.62.83.255 | 510 |
| 43 | 224.62.84.0/23 | 224.62.84.1 to 224.62.85.254 | 224.62.85.255 | 510 |
| 44 | 224.62.86.0/23 | 224.62.86.1 to 224.62.87.254 | 224.62.87.255 | 510 |
| 45 | 224.62.88.0/23 | 224.62.88.1 to 224.62.89.254 | 224.62.89.255 | 510 |
| 46 | 224.62.90.0/23 | 224.62.90.1 to 224.62.91.254 | 224.62.91.255 | 510 |
| 47 | 224.62.92.0/23 | 224.62.92.1 to 224.62.93.254 | 224.62.93.255 | 510 |
| 48 | 224.62.94.0/23 | 224.62.94.1 to 224.62.95.254 | 224.62.95.255 | 510 |
| 49 | 224.62.96.0/23 | 224.62.96.1 to 224.62.97.254 | 224.62.97.255 | 510 |
| 50 | 224.62.98.0/23 | 224.62.98.1 to 224.62.99.254 | 224.62.99.255 | 510 |
| 51 | 224.62.100.0/23 | 224.62.100.1 to 224.62.101.254 | 224.62.101.255 | 510 |
| 52 | 224.62.102.0/23 | 224.62.102.1 to 224.62.103.254 | 224.62.103.255 | 510 |
| 53 | 224.62.104.0/23 | 224.62.104.1 to 224.62.105.254 | 224.62.105.255 | 510 |
| 54 | 224.62.106.0/23 | 224.62.106.1 to 224.62.107.254 | 224.62.107.255 | 510 |
| 55 | 224.62.108.0/23 | 224.62.108.1 to 224.62.109.254 | 224.62.109.255 | 510 |
| 56 | 224.62.110.0/23 | 224.62.110.1 to 224.62.111.254 | 224.62.111.255 | 510 |
| 57 | 224.62.112.0/23 | 224.62.112.1 to 224.62.113.254 | 224.62.113.255 | 510 |
| 58 | 224.62.114.0/23 | 224.62.114.1 to 224.62.115.254 | 224.62.115.255 | 510 |
| 59 | 224.62.116.0/23 | 224.62.116.1 to 224.62.117.254 | 224.62.117.255 | 510 |
| 60 | 224.62.118.0/23 | 224.62.118.1 to 224.62.119.254 | 224.62.119.255 | 510 |
| 61 | 224.62.120.0/23 | 224.62.120.1 to 224.62.121.254 | 224.62.121.255 | 510 |
| 62 | 224.62.122.0/23 | 224.62.122.1 to 224.62.123.254 | 224.62.123.255 | 510 |
| 63 | 224.62.124.0/23 | 224.62.124.1 to 224.62.125.254 | 224.62.125.255 | 510 |
| 64 | 224.62.126.0/23 | 224.62.126.1 to 224.62.127.254 | 224.62.127.255 | 510 |
| 65 | 224.62.128.0/23 | 224.62.128.1 to 224.62.129.254 | 224.62.129.255 | 510 |
| 66 | 224.62.130.0/23 | 224.62.130.1 to 224.62.131.254 | 224.62.131.255 | 510 |
| 67 | 224.62.132.0/23 | 224.62.132.1 to 224.62.133.254 | 224.62.133.255 | 510 |
| 68 | 224.62.134.0/23 | 224.62.134.1 to 224.62.135.254 | 224.62.135.255 | 510 |
| 69 | 224.62.136.0/23 | 224.62.136.1 to 224.62.137.254 | 224.62.137.255 | 510 |
| 70 | 224.62.138.0/23 | 224.62.138.1 to 224.62.139.254 | 224.62.139.255 | 510 |
| 71 | 224.62.140.0/23 | 224.62.140.1 to 224.62.141.254 | 224.62.141.255 | 510 |
| 72 | 224.62.142.0/23 | 224.62.142.1 to 224.62.143.254 | 224.62.143.255 | 510 |
| 73 | 224.62.144.0/23 | 224.62.144.1 to 224.62.145.254 | 224.62.145.255 | 510 |
| 74 | 224.62.146.0/23 | 224.62.146.1 to 224.62.147.254 | 224.62.147.255 | 510 |
| 75 | 224.62.148.0/23 | 224.62.148.1 to 224.62.149.254 | 224.62.149.255 | 510 |
| 76 | 224.62.150.0/23 | 224.62.150.1 to 224.62.151.254 | 224.62.151.255 | 510 |
| 77 | 224.62.152.0/23 | 224.62.152.1 to 224.62.153.254 | 224.62.153.255 | 510 |
| 78 | 224.62.154.0/23 | 224.62.154.1 to 224.62.155.254 | 224.62.155.255 | 510 |
| 79 | 224.62.156.0/23 | 224.62.156.1 to 224.62.157.254 | 224.62.157.255 | 510 |
| 80 | 224.62.158.0/23 | 224.62.158.1 to 224.62.159.254 | 224.62.159.255 | 510 |
| 81 | 224.62.160.0/23 | 224.62.160.1 to 224.62.161.254 | 224.62.161.255 | 510 |
| 82 | 224.62.162.0/23 | 224.62.162.1 to 224.62.163.254 | 224.62.163.255 | 510 |
| 83 | 224.62.164.0/23 | 224.62.164.1 to 224.62.165.254 | 224.62.165.255 | 510 |
| 84 | 224.62.166.0/23 | 224.62.166.1 to 224.62.167.254 | 224.62.167.255 | 510 |
| 85 | 224.62.168.0/23 | 224.62.168.1 to 224.62.169.254 | 224.62.169.255 | 510 |
| 86 | 224.62.170.0/23 | 224.62.170.1 to 224.62.171.254 | 224.62.171.255 | 510 |
| 87 | 224.62.172.0/23 | 224.62.172.1 to 224.62.173.254 | 224.62.173.255 | 510 |
| 88 | 224.62.174.0/23 | 224.62.174.1 to 224.62.175.254 | 224.62.175.255 | 510 |
| 89 | 224.62.176.0/23 | 224.62.176.1 to 224.62.177.254 | 224.62.177.255 | 510 |
| 90 | 224.62.178.0/23 | 224.62.178.1 to 224.62.179.254 | 224.62.179.255 | 510 |
| 91 | 224.62.180.0/23 | 224.62.180.1 to 224.62.181.254 | 224.62.181.255 | 510 |
| 92 | 224.62.182.0/23 | 224.62.182.1 to 224.62.183.254 | 224.62.183.255 | 510 |
| 93 | 224.62.184.0/23 | 224.62.184.1 to 224.62.185.254 | 224.62.185.255 | 510 |
| 94 | 224.62.186.0/23 | 224.62.186.1 to 224.62.187.254 | 224.62.187.255 | 510 |
| 95 | 224.62.188.0/23 | 224.62.188.1 to 224.62.189.254 | 224.62.189.255 | 510 |
| 96 | 224.62.190.0/23 | 224.62.190.1 to 224.62.191.254 | 224.62.191.255 | 510 |
| 97 | 224.62.192.0/23 | 224.62.192.1 to 224.62.193.254 | 224.62.193.255 | 510 |
| 98 | 224.62.194.0/23 | 224.62.194.1 to 224.62.195.254 | 224.62.195.255 | 510 |
| 99 | 224.62.196.0/23 | 224.62.196.1 to 224.62.197.254 | 224.62.197.255 | 510 |
| 100 | 224.62.198.0/23 | 224.62.198.1 to 224.62.199.254 | 224.62.199.255 | 510 |
| 101 | 224.62.200.0/23 | 224.62.200.1 to 224.62.201.254 | 224.62.201.255 | 510 |
| 102 | 224.62.202.0/23 | 224.62.202.1 to 224.62.203.254 | 224.62.203.255 | 510 |
| 103 | 224.62.204.0/23 | 224.62.204.1 to 224.62.205.254 | 224.62.205.255 | 510 |
| 104 | 224.62.206.0/23 | 224.62.206.1 to 224.62.207.254 | 224.62.207.255 | 510 |
| 105 | 224.62.208.0/23 | 224.62.208.1 to 224.62.209.254 | 224.62.209.255 | 510 |
| 106 | 224.62.210.0/23 | 224.62.210.1 to 224.62.211.254 | 224.62.211.255 | 510 |
| 107 | 224.62.212.0/23 | 224.62.212.1 to 224.62.213.254 | 224.62.213.255 | 510 |
| 108 | 224.62.214.0/23 | 224.62.214.1 to 224.62.215.254 | 224.62.215.255 | 510 |
| 109 | 224.62.216.0/23 | 224.62.216.1 to 224.62.217.254 | 224.62.217.255 | 510 |
| 110 | 224.62.218.0/23 | 224.62.218.1 to 224.62.219.254 | 224.62.219.255 | 510 |
| 111 | 224.62.220.0/23 | 224.62.220.1 to 224.62.221.254 | 224.62.221.255 | 510 |
| 112 | 224.62.222.0/23 | 224.62.222.1 to 224.62.223.254 | 224.62.223.255 | 510 |
| 113 | 224.62.224.0/23 | 224.62.224.1 to 224.62.225.254 | 224.62.225.255 | 510 |
| 114 | 224.62.226.0/23 | 224.62.226.1 to 224.62.227.254 | 224.62.227.255 | 510 |
| 115 | 224.62.228.0/23 | 224.62.228.1 to 224.62.229.254 | 224.62.229.255 | 510 |
| 116 | 224.62.230.0/23 | 224.62.230.1 to 224.62.231.254 | 224.62.231.255 | 510 |
| 117 | 224.62.232.0/23 | 224.62.232.1 to 224.62.233.254 | 224.62.233.255 | 510 |
| 118 | 224.62.234.0/23 | 224.62.234.1 to 224.62.235.254 | 224.62.235.255 | 510 |
| 119 | 224.62.236.0/23 | 224.62.236.1 to 224.62.237.254 | 224.62.237.255 | 510 |
| 120 | 224.62.238.0/23 | 224.62.238.1 to 224.62.239.254 | 224.62.239.255 | 510 |
| 121 | 224.62.240.0/23 | 224.62.240.1 to 224.62.241.254 | 224.62.241.255 | 510 |
| 122 | 224.62.242.0/23 | 224.62.242.1 to 224.62.243.254 | 224.62.243.255 | 510 |
| 123 | 224.62.244.0/23 | 224.62.244.1 to 224.62.245.254 | 224.62.245.255 | 510 |
| 124 | 224.62.246.0/23 | 224.62.246.1 to 224.62.247.254 | 224.62.247.255 | 510 |
| 125 | 224.62.248.0/23 | 224.62.248.1 to 224.62.249.254 | 224.62.249.255 | 510 |
| 126 | 224.62.250.0/23 | 224.62.250.1 to 224.62.251.254 | 224.62.251.255 | 510 |
| 127 | 224.62.252.0/23 | 224.62.252.1 to 224.62.253.254 | 224.62.253.255 | 510 |
| 128 | 224.62.254.0/23 | 224.62.254.1 to 224.62.255.254 | 224.62.255.255 | 510 |
| 129 | 224.63.0.0/23 | 224.63.0.1 to 224.63.1.254 | 224.63.1.255 | 510 |
| 130 | 224.63.2.0/23 | 224.63.2.1 to 224.63.3.254 | 224.63.3.255 | 510 |
| 131 | 224.63.4.0/23 | 224.63.4.1 to 224.63.5.254 | 224.63.5.255 | 510 |
| 132 | 224.63.6.0/23 | 224.63.6.1 to 224.63.7.254 | 224.63.7.255 | 510 |
| 133 | 224.63.8.0/23 | 224.63.8.1 to 224.63.9.254 | 224.63.9.255 | 510 |
| 134 | 224.63.10.0/23 | 224.63.10.1 to 224.63.11.254 | 224.63.11.255 | 510 |
| 135 | 224.63.12.0/23 | 224.63.12.1 to 224.63.13.254 | 224.63.13.255 | 510 |
| 136 | 224.63.14.0/23 | 224.63.14.1 to 224.63.15.254 | 224.63.15.255 | 510 |
| 137 | 224.63.16.0/23 | 224.63.16.1 to 224.63.17.254 | 224.63.17.255 | 510 |
| 138 | 224.63.18.0/23 | 224.63.18.1 to 224.63.19.254 | 224.63.19.255 | 510 |
| 139 | 224.63.20.0/23 | 224.63.20.1 to 224.63.21.254 | 224.63.21.255 | 510 |
| 140 | 224.63.22.0/23 | 224.63.22.1 to 224.63.23.254 | 224.63.23.255 | 510 |
| 141 | 224.63.24.0/23 | 224.63.24.1 to 224.63.25.254 | 224.63.25.255 | 510 |
| 142 | 224.63.26.0/23 | 224.63.26.1 to 224.63.27.254 | 224.63.27.255 | 510 |
| 143 | 224.63.28.0/23 | 224.63.28.1 to 224.63.29.254 | 224.63.29.255 | 510 |
| 144 | 224.63.30.0/23 | 224.63.30.1 to 224.63.31.254 | 224.63.31.255 | 510 |
| 145 | 224.63.32.0/23 | 224.63.32.1 to 224.63.33.254 | 224.63.33.255 | 510 |
| 146 | 224.63.34.0/23 | 224.63.34.1 to 224.63.35.254 | 224.63.35.255 | 510 |
| 147 | 224.63.36.0/23 | 224.63.36.1 to 224.63.37.254 | 224.63.37.255 | 510 |
| 148 | 224.63.38.0/23 | 224.63.38.1 to 224.63.39.254 | 224.63.39.255 | 510 |
| 149 | 224.63.40.0/23 | 224.63.40.1 to 224.63.41.254 | 224.63.41.255 | 510 |
| 150 | 224.63.42.0/23 | 224.63.42.1 to 224.63.43.254 | 224.63.43.255 | 510 |
| 151 | 224.63.44.0/23 | 224.63.44.1 to 224.63.45.254 | 224.63.45.255 | 510 |
| 152 | 224.63.46.0/23 | 224.63.46.1 to 224.63.47.254 | 224.63.47.255 | 510 |
| 153 | 224.63.48.0/23 | 224.63.48.1 to 224.63.49.254 | 224.63.49.255 | 510 |
| 154 | 224.63.50.0/23 | 224.63.50.1 to 224.63.51.254 | 224.63.51.255 | 510 |
| 155 | 224.63.52.0/23 | 224.63.52.1 to 224.63.53.254 | 224.63.53.255 | 510 |
| 156 | 224.63.54.0/23 | 224.63.54.1 to 224.63.55.254 | 224.63.55.255 | 510 |
| 157 | 224.63.56.0/23 | 224.63.56.1 to 224.63.57.254 | 224.63.57.255 | 510 |
| 158 | 224.63.58.0/23 | 224.63.58.1 to 224.63.59.254 | 224.63.59.255 | 510 |
| 159 | 224.63.60.0/23 | 224.63.60.1 to 224.63.61.254 | 224.63.61.255 | 510 |
| 160 | 224.63.62.0/23 | 224.63.62.1 to 224.63.63.254 | 224.63.63.255 | 510 |
| 161 | 224.63.64.0/23 | 224.63.64.1 to 224.63.65.254 | 224.63.65.255 | 510 |
| 162 | 224.63.66.0/23 | 224.63.66.1 to 224.63.67.254 | 224.63.67.255 | 510 |
| 163 | 224.63.68.0/23 | 224.63.68.1 to 224.63.69.254 | 224.63.69.255 | 510 |
| 164 | 224.63.70.0/23 | 224.63.70.1 to 224.63.71.254 | 224.63.71.255 | 510 |
| 165 | 224.63.72.0/23 | 224.63.72.1 to 224.63.73.254 | 224.63.73.255 | 510 |
| 166 | 224.63.74.0/23 | 224.63.74.1 to 224.63.75.254 | 224.63.75.255 | 510 |
| 167 | 224.63.76.0/23 | 224.63.76.1 to 224.63.77.254 | 224.63.77.255 | 510 |
| 168 | 224.63.78.0/23 | 224.63.78.1 to 224.63.79.254 | 224.63.79.255 | 510 |
| 169 | 224.63.80.0/23 | 224.63.80.1 to 224.63.81.254 | 224.63.81.255 | 510 |
| 170 | 224.63.82.0/23 | 224.63.82.1 to 224.63.83.254 | 224.63.83.255 | 510 |
| 171 | 224.63.84.0/23 | 224.63.84.1 to 224.63.85.254 | 224.63.85.255 | 510 |
| 172 | 224.63.86.0/23 | 224.63.86.1 to 224.63.87.254 | 224.63.87.255 | 510 |
| 173 | 224.63.88.0/23 | 224.63.88.1 to 224.63.89.254 | 224.63.89.255 | 510 |
| 174 | 224.63.90.0/23 | 224.63.90.1 to 224.63.91.254 | 224.63.91.255 | 510 |
| 175 | 224.63.92.0/23 | 224.63.92.1 to 224.63.93.254 | 224.63.93.255 | 510 |
| 176 | 224.63.94.0/23 | 224.63.94.1 to 224.63.95.254 | 224.63.95.255 | 510 |
| 177 | 224.63.96.0/23 | 224.63.96.1 to 224.63.97.254 | 224.63.97.255 | 510 |
| 178 | 224.63.98.0/23 | 224.63.98.1 to 224.63.99.254 | 224.63.99.255 | 510 |
| 179 | 224.63.100.0/23 | 224.63.100.1 to 224.63.101.254 | 224.63.101.255 | 510 |
| 180 | 224.63.102.0/23 | 224.63.102.1 to 224.63.103.254 | 224.63.103.255 | 510 |
| 181 | 224.63.104.0/23 | 224.63.104.1 to 224.63.105.254 | 224.63.105.255 | 510 |
| 182 | 224.63.106.0/23 | 224.63.106.1 to 224.63.107.254 | 224.63.107.255 | 510 |
| 183 | 224.63.108.0/23 | 224.63.108.1 to 224.63.109.254 | 224.63.109.255 | 510 |
| 184 | 224.63.110.0/23 | 224.63.110.1 to 224.63.111.254 | 224.63.111.255 | 510 |
| 185 | 224.63.112.0/23 | 224.63.112.1 to 224.63.113.254 | 224.63.113.255 | 510 |
| 186 | 224.63.114.0/23 | 224.63.114.1 to 224.63.115.254 | 224.63.115.255 | 510 |
| 187 | 224.63.116.0/23 | 224.63.116.1 to 224.63.117.254 | 224.63.117.255 | 510 |
| 188 | 224.63.118.0/23 | 224.63.118.1 to 224.63.119.254 | 224.63.119.255 | 510 |
| 189 | 224.63.120.0/23 | 224.63.120.1 to 224.63.121.254 | 224.63.121.255 | 510 |
| 190 | 224.63.122.0/23 | 224.63.122.1 to 224.63.123.254 | 224.63.123.255 | 510 |
| 191 | 224.63.124.0/23 | 224.63.124.1 to 224.63.125.254 | 224.63.125.255 | 510 |
| 192 | 224.63.126.0/23 | 224.63.126.1 to 224.63.127.254 | 224.63.127.255 | 510 |
| 193 | 224.63.128.0/23 | 224.63.128.1 to 224.63.129.254 | 224.63.129.255 | 510 |
| 194 | 224.63.130.0/23 | 224.63.130.1 to 224.63.131.254 | 224.63.131.255 | 510 |
| 195 | 224.63.132.0/23 | 224.63.132.1 to 224.63.133.254 | 224.63.133.255 | 510 |
| 196 | 224.63.134.0/23 | 224.63.134.1 to 224.63.135.254 | 224.63.135.255 | 510 |
| 197 | 224.63.136.0/23 | 224.63.136.1 to 224.63.137.254 | 224.63.137.255 | 510 |
| 198 | 224.63.138.0/23 | 224.63.138.1 to 224.63.139.254 | 224.63.139.255 | 510 |
| 199 | 224.63.140.0/23 | 224.63.140.1 to 224.63.141.254 | 224.63.141.255 | 510 |
| 200 | 224.63.142.0/23 | 224.63.142.1 to 224.63.143.254 | 224.63.143.255 | 510 |
| 201 | 224.63.144.0/23 | 224.63.144.1 to 224.63.145.254 | 224.63.145.255 | 510 |
| 202 | 224.63.146.0/23 | 224.63.146.1 to 224.63.147.254 | 224.63.147.255 | 510 |
| 203 | 224.63.148.0/23 | 224.63.148.1 to 224.63.149.254 | 224.63.149.255 | 510 |
| 204 | 224.63.150.0/23 | 224.63.150.1 to 224.63.151.254 | 224.63.151.255 | 510 |
| 205 | 224.63.152.0/23 | 224.63.152.1 to 224.63.153.254 | 224.63.153.255 | 510 |
| 206 | 224.63.154.0/23 | 224.63.154.1 to 224.63.155.254 | 224.63.155.255 | 510 |
| 207 | 224.63.156.0/23 | 224.63.156.1 to 224.63.157.254 | 224.63.157.255 | 510 |
| 208 | 224.63.158.0/23 | 224.63.158.1 to 224.63.159.254 | 224.63.159.255 | 510 |
| 209 | 224.63.160.0/23 | 224.63.160.1 to 224.63.161.254 | 224.63.161.255 | 510 |
| 210 | 224.63.162.0/23 | 224.63.162.1 to 224.63.163.254 | 224.63.163.255 | 510 |
| 211 | 224.63.164.0/23 | 224.63.164.1 to 224.63.165.254 | 224.63.165.255 | 510 |
| 212 | 224.63.166.0/23 | 224.63.166.1 to 224.63.167.254 | 224.63.167.255 | 510 |
| 213 | 224.63.168.0/23 | 224.63.168.1 to 224.63.169.254 | 224.63.169.255 | 510 |
| 214 | 224.63.170.0/23 | 224.63.170.1 to 224.63.171.254 | 224.63.171.255 | 510 |
| 215 | 224.63.172.0/23 | 224.63.172.1 to 224.63.173.254 | 224.63.173.255 | 510 |
| 216 | 224.63.174.0/23 | 224.63.174.1 to 224.63.175.254 | 224.63.175.255 | 510 |
| 217 | 224.63.176.0/23 | 224.63.176.1 to 224.63.177.254 | 224.63.177.255 | 510 |
| 218 | 224.63.178.0/23 | 224.63.178.1 to 224.63.179.254 | 224.63.179.255 | 510 |
| 219 | 224.63.180.0/23 | 224.63.180.1 to 224.63.181.254 | 224.63.181.255 | 510 |
| 220 | 224.63.182.0/23 | 224.63.182.1 to 224.63.183.254 | 224.63.183.255 | 510 |
| 221 | 224.63.184.0/23 | 224.63.184.1 to 224.63.185.254 | 224.63.185.255 | 510 |
| 222 | 224.63.186.0/23 | 224.63.186.1 to 224.63.187.254 | 224.63.187.255 | 510 |
| 223 | 224.63.188.0/23 | 224.63.188.1 to 224.63.189.254 | 224.63.189.255 | 510 |
| 224 | 224.63.190.0/23 | 224.63.190.1 to 224.63.191.254 | 224.63.191.255 | 510 |
| 225 | 224.63.192.0/23 | 224.63.192.1 to 224.63.193.254 | 224.63.193.255 | 510 |
| 226 | 224.63.194.0/23 | 224.63.194.1 to 224.63.195.254 | 224.63.195.255 | 510 |
| 227 | 224.63.196.0/23 | 224.63.196.1 to 224.63.197.254 | 224.63.197.255 | 510 |
| 228 | 224.63.198.0/23 | 224.63.198.1 to 224.63.199.254 | 224.63.199.255 | 510 |
| 229 | 224.63.200.0/23 | 224.63.200.1 to 224.63.201.254 | 224.63.201.255 | 510 |
| 230 | 224.63.202.0/23 | 224.63.202.1 to 224.63.203.254 | 224.63.203.255 | 510 |
| 231 | 224.63.204.0/23 | 224.63.204.1 to 224.63.205.254 | 224.63.205.255 | 510 |
| 232 | 224.63.206.0/23 | 224.63.206.1 to 224.63.207.254 | 224.63.207.255 | 510 |
| 233 | 224.63.208.0/23 | 224.63.208.1 to 224.63.209.254 | 224.63.209.255 | 510 |
| 234 | 224.63.210.0/23 | 224.63.210.1 to 224.63.211.254 | 224.63.211.255 | 510 |
| 235 | 224.63.212.0/23 | 224.63.212.1 to 224.63.213.254 | 224.63.213.255 | 510 |
| 236 | 224.63.214.0/23 | 224.63.214.1 to 224.63.215.254 | 224.63.215.255 | 510 |
| 237 | 224.63.216.0/23 | 224.63.216.1 to 224.63.217.254 | 224.63.217.255 | 510 |
| 238 | 224.63.218.0/23 | 224.63.218.1 to 224.63.219.254 | 224.63.219.255 | 510 |
| 239 | 224.63.220.0/23 | 224.63.220.1 to 224.63.221.254 | 224.63.221.255 | 510 |
| 240 | 224.63.222.0/23 | 224.63.222.1 to 224.63.223.254 | 224.63.223.255 | 510 |
| 241 | 224.63.224.0/23 | 224.63.224.1 to 224.63.225.254 | 224.63.225.255 | 510 |
| 242 | 224.63.226.0/23 | 224.63.226.1 to 224.63.227.254 | 224.63.227.255 | 510 |
| 243 | 224.63.228.0/23 | 224.63.228.1 to 224.63.229.254 | 224.63.229.255 | 510 |
| 244 | 224.63.230.0/23 | 224.63.230.1 to 224.63.231.254 | 224.63.231.255 | 510 |
| 245 | 224.63.232.0/23 | 224.63.232.1 to 224.63.233.254 | 224.63.233.255 | 510 |
| 246 | 224.63.234.0/23 | 224.63.234.1 to 224.63.235.254 | 224.63.235.255 | 510 |
| 247 | 224.63.236.0/23 | 224.63.236.1 to 224.63.237.254 | 224.63.237.255 | 510 |
| 248 | 224.63.238.0/23 | 224.63.238.1 to 224.63.239.254 | 224.63.239.255 | 510 |
| 249 | 224.63.240.0/23 | 224.63.240.1 to 224.63.241.254 | 224.63.241.255 | 510 |
| 250 | 224.63.242.0/23 | 224.63.242.1 to 224.63.243.254 | 224.63.243.255 | 510 |
| 251 | 224.63.244.0/23 | 224.63.244.1 to 224.63.245.254 | 224.63.245.255 | 510 |
| 252 | 224.63.246.0/23 | 224.63.246.1 to 224.63.247.254 | 224.63.247.255 | 510 |
| 253 | 224.63.248.0/23 | 224.63.248.1 to 224.63.249.254 | 224.63.249.255 | 510 |
| 254 | 224.63.250.0/23 | 224.63.250.1 to 224.63.251.254 | 224.63.251.255 | 510 |
| 255 | 224.63.252.0/23 | 224.63.252.1 to 224.63.253.254 | 224.63.253.255 | 510 |
| 256 | 224.63.254.0/23 | 224.63.254.1 to 224.63.255.254 | 224.63.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |